# tamarac-bootstrap

Tamarac Bootstrap is Tamarac's base CSS styleguide for development of Envestnet/Tamarac Inc's website and applications.

Tamarac-Bootstrap is a fork of Twitter [Bootstrap](https://getbootstrap.com/).

## Usage

To import css:

```
import "@tamarac/tamarac-bootstrap/dist/css/bootstrap.css";
```

To import hex values into a JavaScript file (eg. using emotion)

```
import { deepCerulean } from "@tamarac/tamarac-bootstrap";
```

## Local setup

To run the docs locally, you'll need [Ruby 2.5.5-1 (with Devkit)](https://rubyinstaller.org/downloads/) installed on your machine.

Once you have Ruby, navigate to the cloned directory and run these two commands:

```
gem install bundler
gem install bundler -v 1.17.3
```

Once that works, run these two:

```
bundle install
yarn
```

Finally, to start your local instance of the Tamarac Bootstrap docs, run:
```
yarn start
```

Navigate to `http://localhost:9001/bootstrap/` in a browser.
